syntax = "proto3";
option go_package = ".;pb";
import "comm.proto";


message Clang{
  int32 deskType = 1;  // 台子类型
  int64 eTime = 2;
  int64 sTime = 3; // 订单开始时间
  
}

// 队列里的烹饪食品
message OrderClang{
  int32 deskType = 1; // 台子类型
  int32 count = 2; // 料理数量
  int32 needTime = 3; // 需要的时间
}
message DBSmithy {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  Clang clang = 3;// 正在制作中的数据
  repeated OrderClang orders = 4; //@go_tags(`bson:"orders"`) 订单数据
  repeated UserAssets items = 5; //@go_tags(`bson:"items"`) 已经做好装备
  map<int32,int32> skill = 6;//@go_tags(`bson:"skill"`) 锻造台等级
  int32 stoveLv = 7; //@go_tags(`bson:"stoveLv"`) 炉子等级
  int32 orderCostTime = 8; //@go_tags(`bson:"orderCostTime"`) 订单消耗的时常
  int64 ctime = 9; // 订单创建时间
  map<int32,int32> deskFloor = 10;//@go_tags(`bson:"deskFloor"`)台子保底
  int32 stoveFloor = 11;//@go_tags(`bson:"stoveFloor"`) 炉子保底
}